concepts File Reference
Utilities » Concepts

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::__detail

## Concepts

concept | std::assignable_from
concept | std::common_reference_with
concept | std::common_with
concept | std::constructible_from
concept | std::convertible_to
concept | std::copy_constructible
concept | std::default_initializable
concept | std::derived_from
concept | std::destructible
concept | std::equivalence_relation
concept | std::invocable
concept | std::move_constructible
concept | std::predicate
concept | std::regular_invocable
concept | std::relation
concept | std::same_as
concept | std::strict_weak_order

## Typedefs

template<typename _Tp>
using | std::__detail::__cref

## Variables

template<typename _Tp>
constexpr bool | std::__detail::__destructible
template<typename _Tp>
constexpr bool | std::__detail::__destructible< _Tp & >
template<typename _Tp>
constexpr bool | std::__detail::__destructible< _Tp && >
template<typename _Tp, size_t _Nm>
constexpr bool | std::__detail::__destructible< _Tp[_Nm]>
template<typename _Tp>
constexpr bool | std::__detail::__destructible_impl
template<typename _Tp>
constexpr bool | std::__detail::__destructible_impl< _Tp >
constexpr __swap::_Swap | std::ranges::swap

## Detailed Description

This is a Standard C++ Library header.

Definition in file concepts.

## Variable Documentation

## swap

__swap::_Swap std::ranges::_Cpo::swap

inline constexpr

Definition at line 253 of file concepts.